Create custom field answer
https://carchost.fieldcontrol.com.br/customers/custom-fieldsCreates the answer to a custom field for a customer.
If the field has a display condition (set in the Manager Panel), it is evaluated with the customer's stored answers: answering a hidden field returns 422 (hidden by condition). Answer the trigger first. When a trigger is answered, the answers to the fields that become hidden are deleted.
Requires the
X-Api-Key,User-AgentandContent-Type: application/jsonheaders. Limit: 1 request per second (learn more).
Request
Headers
User-AgentstringrequiredIdentification of your application.
Example: MinhaIntegracao/1.0.
Request body
JSON, sent with the Content-Type: application/json header.
namestringrequiredField name.
From 1 to 150 characters.
valuestringrequiredFilled-in value.
From 1 to 500 characters.
positionintegerDisplay position.
Accepts: null.
typestringrequiredField type.
Accepted values: question, multiple-choice, date, number, checklist, attachment, multiple-photos.From 1 to 150 characters.
customerobjectrequiredFields of customer
idstringrequiredCustomer identifier.
Responses
- 201
Answer created.
- 401
API key missing (
Missing API Key) or invalid (Invalid API Key). See Authentication. - 403
Account blocked (
Account blocked), expired (Account expired) or on a plan that does not allow integration (Account plan not allowed). See Authentication. - 422
Invalid request data (resourceValidationErr).
- 429
Limit of 1 request per second exceeded. See Rate limit.
- 500
Unexpected server error.